#include <iostream>
using namespace std;
int main(){
    int n;
    int x; cin>>n>>x;
    int a[n];
    int s;
    for(int i=0;i<n-1;i++){
        cin>>a[i];
        if(a[i]==x){
            cin>>s;
            break;
        }
    }
    cin>>a[n-1];
    if(a[n-1]==x){
        s=a[0];
    }
    cout<<s<<endl;
    return 0;
}